<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("cNotaalmacentipo.php");

$oNotaalmacentipo = new cNotaalmacentipo();



if($_POST['action']=="editar")

{

	$dts=$oNotaalmacentipo->mostrarUno($_POST['tipope_id']);

	$dt = mysqli_fetch_array($dts);

	$tipope_nom=$dt['tb_notaalmacentipo_nom'];

	$tipope_tip=$dt['tb_notaalmacentipo_tip'];

	$tipope_man=$dt['tb_notaalmacentipo_man'];

	mysqli_free_result($dts);

}

?>



<form id="for_tipope">

	<input name="action_notaalmacentipo" id="action_notaalmacentipo" type="hidden" value="<?php echo $_POST['action']?>">

	<input name="hdd_tipope_id" id="hdd_tipope_id" type="hidden" value="<?php echo $_POST['tipope_id']?>">

	<table>

		<tr>

			<td align="right" valign="top">Nombre:</td>

			<td><input name="txt_tipope_nom" type="text" id="txt_tipope_nom" value="<?php echo $tipope_nom?>" size="55" maxlength="50"></td>

		</tr>

		<tr>

			<td align="right" valign="top"><label for="cmb_tip">Tipo:</label></td>

			<td valign="top"><select name="cmb_tip" id="cmb_tip">

				<option value="">-</option>

				<option value="1" <?php if($tipope_tip==1)echo 'selected'?>>INGRESO (Aumentar Stock)</option>

				<option value="2" <?php if($tipope_tip==2)echo 'selected'?>>SALIDA (Disminuir Stock)</option>

			</select></td>

		</tr>

	</table>

</form>



<script type="text/javascript">



	$('#txt_tipope_nom').focus();



	$('#txt_tipope_nom').keydown(function(ev) {

		if(ev.keyCode==13){$('#cmb_tip').focus(); return false;}

	});

	$('#cmb_tip').keydown(function(ev) {

		if(ev.keyCode==13){$('#btn_for_tipope_guardar').focus(); return false;}

	});

	

	$('#txt_tipope_nom').change(function(){

		$(this).val($(this).val().toUpperCase());

	});



	$("#for_tipope").validate({

		submitHandler: function() {

			$.ajax({

				type: "POST",

				url: "../notaalmacentipo/notaalmacentipo_reg.php",

				async:true,

				dataType: "html",

				data: $("#for_tipope").serialize(),

				beforeSend: function() {

					$("#div_notaalmacentipo_form" ).dialog( "close" );

					$('#msj_notaalmacentipo').html("Guardando...");

					$('#msj_notaalmacentipo').show(100);

				},

				success: function(html){						

					$('#msj_notaalmacentipo').html(html);

				},

				complete: function(){

					<?php

					if($_POST['vista']=="notaalmacentipo_tabla")

					{

						echo $_POST['vista'].'()';

					}

					

					if($_POST['vista']=="cmb_tipope_id")

					{

						echo $_POST['vista'].'()';

					}

					?>

				}

			});

		},

		rules: {

			txt_tipope_nom: {

				required: true

			},

			cmb_tip: {

				required: true

			}

		},

		messages: {

			txt_tipope_nom: {

				required: '*'

			},

			cmb_tip: {

				required: '*'

			}

		}

	});



</script>